You are not logged in.

#1 2013-03-19 09:20:32

Funfrog
Member
Registered: 2013-03-19
Posts: 5

[SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

Hello all,

I made a fresh installation three weeks ago, following this guide:
https://wiki.archlinux.org/index.php/Le … nkPad_T420

I used the Intel /Nvidia alternative from her:
https://wiki.archlinux.org/index.php/Bumblebee

Yesterday, I updated to Kernel 3.8. Therfore I had to uninstall nvidia-bumblebee (was need3.7). I removed all Bumblebeestuff and reinstalled it after the Kernel update with Intel / Nvidia again.
Now Xorg means "Nouveau is missig" and Bumblebee does not work.

Why Nouveau? I never installed this. Is it a bug in the new nvidia-bumblebee?
https://aur.archlinux.org/packages/nvidia-bumblebee/

Happy day
frog

Last edited by Funfrog (2013-03-19 20:09:39)

Offline

#2 2013-03-19 12:13:20

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 4,295

Re: [SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

Does the error come from Xorg, or from a pacman upgrade ?

If Xorg gives the error, please post your Xorg.0.log (use  a pastebin site).


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Online

#3 2013-03-19 12:18:46

Funfrog
Member
Registered: 2013-03-19
Posts: 5

Re: [SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

Thx ahead. I'll see to deliver tonight.

Offline

#4 2013-03-19 14:58:10

jc61990
Member
From: New York
Registered: 2012-07-14
Posts: 29
Website

Re: [SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

you can take a look at my thread..  maybe we had the same issues  https://bbs.archlinux.org/viewtopic.php?id=159886


i put arch on everything.
Devices on arch: Desktop (self built), Dell XT Laptop, RaspberryPi, HTPC, PogoPlug, and my Web Server

Offline

#5 2013-03-19 15:21:43

Funfrog
Member
Registered: 2013-03-19
Posts: 5

Re: [SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

jc61990 wrote:

you can take a look at my thread..  maybe we had the same issues  https://bbs.archlinux.org/viewtopic.php?id=159886

Think so, but my Bumblebee does not come back in work after reinstall. Do you use pure nvidia-intel or nouveau?

Offline

#6 2013-03-19 15:30:13

cybertorture
Member
Registered: 2010-05-05
Posts: 338

Re: [SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

/etc/modprobe.d/nvidia_blacklist.conf

blacklist nvidia
blacklist nouveau

and try again smile

cheers


O' rly ? Ya rly Oo

Offline

#7 2013-03-19 16:25:24

koz
Member
Registered: 2012-01-09
Posts: 37

Re: [SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

Check /etc/bumblebee/bumblebee.conf and see which driver it's using.

Offline

#8 2013-03-19 16:48:00

jc61990
Member
From: New York
Registered: 2012-07-14
Posts: 29
Website

Re: [SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

Funfrog wrote:
jc61990 wrote:

you can take a look at my thread..  maybe we had the same issues  https://bbs.archlinux.org/viewtopic.php?id=159886

Think so, but my Bumblebee does not come back in work after reinstall. Do you use pure nvidia-intel or nouveau?

I have the intel drivers along with nvidia-bumblebee, if you are using nouveau then that may be why my fix didn't work for you


i put arch on everything.
Devices on arch: Desktop (self built), Dell XT Laptop, RaspberryPi, HTPC, PogoPlug, and my Web Server

Offline

#9 2013-03-19 20:13:42

Funfrog
Member
Registered: 2013-03-19
Posts: 5

Re: [SOLVED] nvidia-bumblebee requires Nouveau after 3.8?

Hello all,

thank you for the fine support. The problem is solved now. I started a fresh Bumblebee installation. There were some different dependencies than yesterday. Maybe this is the difference - dunno. The Bumblebee flies agian.

have a good time!
ffrog

Offline

Board footer

Powered by FluxBB